Subject: Re: IPP>MOD Why use Job-Id instead of Job-URI for Jobs?

From: [email-masked] (Robert Herriot)
Date: Fri, 5 Sep 1997 14:58:02 -0700

> From [email-masked] Fri Sep  5 06:16:30 1997
> 
> I agree with Jay that this seems like a clean approach.  However,
> if I've understood all of the arguments, I thought that dictating the form
> of the URL was a no-no. On the other hand, if a PARTICULAR IMPLEMENTATION,
> such as NT, requires a 32-bit integer job ID to be consistent with its existing
> APIs, then there should be no reason why THAT implementation could not
> use the approach that Jay suggests to easily map to an internal integer job
> identifier.

But Microsoft clients cannot assume that all IPP servers will be
Microsoft servers. Thus the client has no sure way to parse the
Job-URI.

Bob Herriot

---

From: Jay Martin <[email-masked]>
Date: Fri, 05 Sep 1997 18:21:22 -0400

> Microsoft servers. Thus the client has no sure way to parse the

So again I ask: exactly why can't (or shouldn't) we standardize on
a Job URI syntax?  (I really regret not being able to have made the
Redmond meeting.)

	...jay

----------------------------------------------------------------------
--  JK Martin               |  Email:   [email-masked]          --
--  Underscore, Inc.        |  Voice:   (603) 889-7000              --
--  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
--  Hudson, NH 03051-4915   |  Web:     http://www.underscore.com   --
----------------------------------------------------------------------